## org.codehaus.groovy.grails.webflow.engine.builder
Class ClosureExpression

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.ClosureExpression

All Implemented Interfaces:
  groovy.lang.GroovyObject, org.springframework.binding.expression.Expression

    public class ClosureExpression

extends Object
implements org.springframework.binding.expression.Expression, groovy.lang.GroovyObject

Constructor Summary
`ClosureExpression(groovy.lang.Closure c)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.Closure` `getClosure()`
`String` `getExpressionString()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `getValue(Object context)`
`Class` `getValueType(Object context)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setClosure(groovy.lang.Closure value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setValue(Object context, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClosureExpression

    public ClosureExpression(groovy.lang.Closure c)

Method Detail

### getClosure

    public groovy.lang.Closure getClosure()

### setClosure

    public void setClosure(groovy.lang.Closure value)

### getValue

    public Object getValue(Object context)

  Specified by:
    `getValue` in interface `org.springframework.binding.expression.Expression`

### setValue

    public void setValue(Object context,
                         Object value)

  Specified by:
    `setValue` in interface `org.springframework.binding.expression.Expression`

### getValueType

    public Class getValueType(Object context)

  Specified by:
    `getValueType` in interface `org.springframework.binding.expression.Expression`

### getExpressionString

    public String getExpressionString()

  Specified by:
    `getExpressionString` in interface `org.springframework.binding.expression.Expression`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project